import 'package:flare_flutter/flare_actor.dart';
import 'package:flutter/material.dart';
import 'package:mobile_ui/mobile_ui.dart';

class SuccessTick extends StatelessWidget {
  final Function(String) onFinishAnimated;
  final double paddingFlactor;
  final double marginFlactor;
  SuccessTick(
      {this.onFinishAnimated, this.paddingFlactor = 2, this.marginFlactor = 2});

  @override
  Widget build(BuildContext context) {
    return Container(
      alignment: Alignment.center,
      padding: EdgeInsets.all(uiSpacing(paddingFlactor)),
      margin: EdgeInsets.all(uiSpacing(marginFlactor)),
      child: FlareActor(
        "assets/animations/success_check.flr",
        shouldClip: false,
        animation: "play",
        alignment: Alignment.center,
        callback: onFinishAnimated,
        fit: BoxFit.contain,
      ),
    );
  }
}
