import 'package:flutter/material.dart';
import 'package:flutter_spinkit/flutter_spinkit.dart';
import 'ui_spacing.dart';

class Loading extends StatelessWidget {
  final double sizeFlactor;
  final double paddingFlactor;
  Loading({this.sizeFlactor = 8, this.paddingFlactor = 1});
  @override
  Widget build(BuildContext context) {
    return Container(
      padding: EdgeInsets.all(uiSpacing(paddingFlactor)),
      alignment: Alignment.center,
      child: SpinKitFadingCircle(
        color: Theme.of(context).primaryColor,
        size: uiSpacing(sizeFlactor),
      ),
    );
  }
}
